Update Firm Position Limits
curl --request POST \
--url https://api.exchange.fairx.net/rest/v2/firm-position-limits/{firm_uuid} \
--header 'Content-Type: application/json' \
--data '
{
"long_daily_limit": 1000000,
"short_daily_limit": 500000,
"long_weekend_limit": 1000000,
"short_weekend_limit": 500000,
"long_real_limit": 1000000,
"short_real_limit": 500000,
"weekend_margin_multiplier": 2
}
'import requests
url = "https://api.exchange.fairx.net/rest/v2/firm-position-limits/{firm_uuid}"
payload = {
"long_daily_limit": 1000000,
"short_daily_limit": 500000,
"long_weekend_limit": 1000000,
"short_weekend_limit": 500000,
"long_real_limit": 1000000,
"short_real_limit": 500000,
"weekend_margin_multiplier": 2
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
long_daily_limit: 1000000,
short_daily_limit: 500000,
long_weekend_limit: 1000000,
short_weekend_limit: 500000,
long_real_limit: 1000000,
short_real_limit: 500000,
weekend_margin_multiplier: 2
})
};
fetch('https://api.exchange.fairx.net/rest/v2/firm-position-limits/{firm_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Firm Position Limits
Update Firm Position Limits
Updates position limits for a specific firm
POST
/
rest
/
v2
/
firm-position-limits
/
{firm_uuid}
Update Firm Position Limits
Path Parameters
The UUID of firm to update.
Example:
"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
Body
application/json
Parameters to update the specified firm's position limit
Example:
1000000
Example:
500000
Example:
1000000
Example:
500000
Example:
1000000
Example:
500000
Example:
2
Response
Successfully updated firm position limits
The response is of type string.
Was this page helpful?
⌘I